# Step (w-step)

## Description

Individual step component that shows a single step in a process.

[Warp component reference](https://warp-ds.github.io/docs/components/steps/frameworks/elements)

### `<w-step>` API

#### Properties

| Name | Type | Default | Summary |
|-|-|-|-|
| active | `boolean` | `false` | Whether this step is active. |
| completed | `boolean` | `false` | Whether this step is completed. |
| getAriaLabel (JS only) | `getAriaLabel() => void` | `-` | - |
| setContext (JS only) | `setContext(context: StepsContext) => void` | `-` | - |

#### Property Details

##### active

Whether this step is active.

The active step displays a filled indicator.

- Type: `boolean`
- Default: `false`

##### completed

Whether this step is completed.

Completed steps display a checkmark icon and a filled indicator.

- Type: `boolean`
- Default: `false`

##### getAriaLabel (JS only)



- Type: `getAriaLabel() => void`
- Default: `-`

##### setContext (JS only)



- Type: `setContext(context: StepsContext) => void`
- Default: `-`

